Name:       perl-autodie
Version:    2.36
Release:    1
Summary:    Replace functions with ones that succeed or die with lexical scope
License:    GPL-1.0-or-later OR Artistic-1.0-Perl
URL:	    https://metacpan.org/release/autodie
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TODDR/autodie-%{version}.tar.gz

#prereqs
BuildRequires: gcc perl(ExtUtils::MakeMaker) perl-interpreter perl-generators
#for test
BuildRequires: perl(Test::More) perl(IPC::System::Simple) >= 0.12
BuildRequires: perl(Tie::RefHash) perl(FindBin) perl(open)

Requires:     perl(B) perl(Fcntl) perl(POSIX) perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2)) perl(IPC::System::Simple) >= 0.12

BuildArch:    noarch

%global __requires_exclude ^perl\\(lib\\)$

%description
The autodie pragma provides a convenient way to replace functions that normally return
false on failure with equivalents that throw an exception on failure.

The autodie pragma has lexical scope, meaning that functions and subroutines altered with
autodie will only change their behaviour until the end of the enclosing block, file, or eval.

%package_help

%prep
%autosetup -n autodie-%{version} -p1
find -type f -exec chmod -x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test TEST_VERBOSE=1

%files
%license LICENSE AUTHORS README.md
%{perl_vendorlib}/*

%files help
%doc Changes
%{_mandir}/man3/*

%changelog
* Thu Jul 06 2023 leeffo <liweiganga@uniontech.com> - 2.36-1
- update to version 2.36

* Wed Oct 26 2022 renhongxun <renhongxun@h-partners.com> - 2.34-3
- Rebuild for next release

* Wed Jan 05 2022 tianwei <tianwei12@huawei.com> - 2.34-2
- fix test failed

* Fri Nov 19 2021 yuanxin <yuanxin24@huawei.com> - 2.34-1
- update version to 2.34

* Sat Jul 25 2020 shixuantong <shixuantong@huawei.com> - 2.32-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to 2.32-1

* Mon Oct 28 2019 shenyangyang <shenyangyang4@huawei.com> - 2.29-398
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete unneeded build requires of perl(BSD::Resource) 
       perl(Import::Into) >= 1.002004 and perl(Sub::Identify)

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.29-397
- Package init
